Summary:	Lightweight, non-caching, optionally anonymizing HTTP proxy
Name:		tinyproxy
Version:	1.8.3
%define subrel	1
Release:	%mkrel 1
Group:		System/Servers
# License bundled is gpl v3, but source code say gpl v2 or later
License:	GPLv2+
URL:		https://www.banu.com/%{name}/
Source0:	https://www.banu.com/pub/%{name}/1.8/%{name}-%{version}.tar.bz2
Source1:	tinyproxy.init
Patch0:		tinyproxy-CVE-2012-3505-randomized-hashmaps.patch
Patch1:		tinyproxy-CVE-2012-3505-limit-headers.patch
BuildRequires:	asciidoc
BuildRequires:	xsltproc
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtd45-xml
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
An anonymizing http proxy which is very light on system resources, ideal for
smaller networks and similar situations where other proxies (such as Squid) may
be overkill and/or a security risk. Tinyproxy can also be configured to
anonymize http requests (allowing for exceptions on a per-header basis).

%prep

%setup -q
%patch0 -p1 -b .randomized-hashmaps
%patch1 -p1 -b .limit-headers

cp %{SOURCE1} tinyproxy.init

%build
%serverbuild

%configure2_5x \
    --enable-xtinyproxy \
    --enable-filter \
    --enable-upstream \
    --enable-transparent \
    --enable-reverse \
    --sysconfdir=%{_sysconfdir}/tinyproxy \
    --with-stathost=localhost \
    --program-prefix=""

%make

%install
%__rm -rf %{buildroot}

%__install -d %{buildroot}%{_sysconfdir}/tinyproxy
%__install -d %{buildroot}%{_sysconfdir}/logrotate.d
%__install -d %{buildroot}%{_sysconfdir}/sysconfig
%__install -d %{buildroot}%{_initrddir}

%__install -d %{buildroot}%{_logdir}/tinyproxy
%__install -d %{buildroot}%{_var}/run/tinyproxy

%makeinstall bindir=%{buildroot}%{_sbindir}

mv %{buildroot}%{_sysconfdir}/tinyproxy.conf %{buildroot}%{_sysconfdir}/tinyproxy/tinyproxy.conf
/bin/touch %{buildroot}%{_sysconfdir}/tinyproxy/filter

%__install -m0755 tinyproxy.init %{buildroot}%{_initrddir}/tinyproxy

/bin/echo "FLAGS=\" -c /etc/tinyproxy/tinyproxy.conf\"" > %{buildroot}%{_sysconfdir}/sysconfig/tinyproxy

cat > %{buildroot}%{_sysconfdir}/logrotate.d/tinyproxy <<EOF
/var/log/tinyproxy.log {
    rotate 7
    daily
    compress
    missingok
    postrotate
    if [ -f /var/run/tinyproxy.pid ]; then
       /etc/init.d/tinyproxy restart > /dev/null
    fi
    endscript
}
EOF

%post
%_post_service tinyproxy

%preun
%_preun_service tinyproxy


%files
%doc docs/*.txt
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO 
%attr(0755,root,root) %{_sbindir}/tinyproxy
%attr(0755,root,root) %{_initrddir}/tinyproxy
%config(noreplace) %{_sysconfdir}/sysconfig/tinyproxy
%config(noreplace) %{_sysconfdir}/logrotate.d/tinyproxy
%dir %{_sysconfdir}/tinyproxy
%config(noreplace) %{_sysconfdir}/tinyproxy/tinyproxy.conf
%config(noreplace) %{_sysconfdir}/tinyproxy/filter
%{_logdir}/tinyproxy/
%{_var}/run/tinyproxy/
%{_mandir}/man8/tinyproxy.8*
%{_mandir}/man5/*
%{_datadir}/tinyproxy






%changelog
* Thu Oct 25 2012 Zombie Ryushu <ryushu@mandriva.org> 1.8.3-1.1mdv2012.0
+ Revision: 819834
- CVE-2012-3505 patch

  + Lev Givon <lev@mandriva.org>
    - Update to 1.8.3.

* Wed Aug 25 2010 Lev Givon <lev@mandriva.org> 0:1.8.2-1mdv2011.0
+ Revision: 573016
- Update to 1.8.2.
  Add docbook-dtd45-xml as build req.
  Update init file.

* Thu Jan 28 2010 Michael Scherer <misc@mandriva.org> 0:1.8.0-1mdv2010.1
+ Revision: 497568
- new version 1.8.0
- remove patch, as it is not needed, it is better to move file in %%install
- remove deprecated configure options, and enable new one
- remove uneeded BuildRequires

  + Lev Givon <lev@mandriva.org>
    - Update to 1.6.5.

* Sun May 10 2009 Lev Givon <lev@mandriva.org> 0:1.6.4-6mdv2010.0
+ Revision: 374022
- Bump release to force rebuild.
- Add logrotate script.

  + Michael Scherer <misc@mandriva.org>
    - update License
    - use new url
    - add socks support
    - update patch1 to make it compile

* Wed Nov 19 2008 Caio Begotti <caio1982@mandriva.org> 0:1.6.4-2mdv2009.1
+ Revision: 304532
- transparent proxy support is necessary to make kpcontrol works correctly, and distros like ubuntu and debian have this on by default anyway (so it's probably safe for us too)

* Sat Sep 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0:1.6.4-1mdv2009.0
+ Revision: 282035
- 1.6.4
- spec file cleanup

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0:1.6.3-6mdv2009.0
+ Revision: 254610
- rebuild

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0:1.6.3-4mdv2008.1
+ Revision: 171232
- add a virtal provides of webproxy

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 David Walluck <walluck@mandriva.org> 0:1.6.3-3mdv2008.0
+ Revision: 24020
- use %%mkrel
- add LSB support to initscript
- remove PreReq and use Requires() instead
- Import tinyproxy



* Mon Nov  1 2004 Michael Scherer <misc@mandrake.org> 1.6.3-2mdk
- Fix build

* Wed Aug 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Wed Dec 03 2003 Florin <florin@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.0a-1mdk
- 1.6.0a
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- add unpackaged files

* Wed Nov 20 2002 Florin <florin@mandrakesoft.com> 1.5.2-0.rc1.1mdk
- 1.5.2rc1
- add the --program-prefix="" configure option
- bzip2 the patch
- add the filter file/directory

* Fri Oct 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- 1.5.1

* Wed Dec 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.4.3-1mdk
- First spec
